Last Comment Bug 159254 - Font help for User Defined
: Font help for User Defined
Status: RESOLVED FIXED
: fixed-seamonkey2.0.6
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a2
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
chrome://help/locale/cs_nav_prefs_app...
: 96687 (view as bug list)
Depends on:
Blocks: 159253
  Show dependency treegraph
 
Reported: 2002-07-24 16:23 PDT by timeless
Modified: 2010-05-17 16:23 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
intl.html . split off from nav_help.xhtml (7.49 KB, text/html)
2003-11-10 12:21 PST, Daniel Wang
no flags Details
patch v1 (6.45 KB, patch)
2010-05-14 16:23 PDT, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
Details | Diff | Splinter Review
patch v1a, r=IanN [Checkin: comments 15+16] (6.45 KB, patch)
2010-05-17 15:35 PDT, Jens Hatlak (:InvisibleSmiley)
jh: review+
iann_bugzilla: approval‑seamonkey2.0.6+
Details | Diff | Splinter Review

Description timeless 2002-07-24 16:23:00 PDT
steps:
edit>preferences>appearance>fonts
help

Ok, so most of us know or can figure out what Greek and Japanese are. But what
in the world is User Defined? Can I get a little help here?
Comment 1 Daniel Wang 2003-01-03 02:24:31 PST
not related, but setting 159253 dependency anyway

-> documentation
Comment 2 rbs 2003-05-09 07:27:09 PDT
*** Bug 96687 has been marked as a duplicate of this bug. ***
Comment 3 Ian Oeschger (gone) 2003-08-14 12:01:53 PDT
moving stuff over to an outside-the-firewall email for the time being, looking
for people to pick these Help and doc bugs up for me.
Comment 4 R.J. Keller 2003-09-22 17:13:59 PDT
--> me

Ian Oeschger doesn't work on mozilla anymore.

CC Nilson: Doc Bug ;)
Comment 5 R.J. Keller 2003-11-09 15:00:10 PST
I don't think I'm seeing this. Where is User Defined?
Comment 6 Christian :Biesinger (don't email me, ping me on IRC) 2003-11-09 15:30:45 PST
it's in edit/preferences/appearance/fonts, the dropdown list contains it
Comment 7 Daniel Wang 2003-11-10 01:06:06 PST
User Defined is for a special language encoding.
www.mozilla.org/docs/web-developer/faq.html reads:

> Downloadable fonts are usually used on sites using writing systems
> for which proper support has been missing in browsers in the past.
> These sites (for example some Indian sites) code the text in Latin
> gibberish and then use a font that to the browser and operating
> system seems to be a Latin font but has eg. Devanagari glyphs, so
> that when the Latin gibberish is rendered with the font it seems to
> a human reader to be intelligible text in some language. The same
> approach has been also been used for including Greek letters as
> math symbols in otherwise Latin-based text.

We could change the text:
 *Fonts for*: Choose a language character set. For instance, to set
 default fonts for the Western (Roman) character set, choose "Western."
+User Defined is reserved for any situation where character glyphs are
+not available in any character encoding and special fonts are required,
+for example, when a rare language or mathematics are used. Sites
+requiring special encoding should have instructions on what fonts to
+download and/or use.
Comment 8 timeless 2003-11-10 09:03:13 PST
User Defined is reserved for any situation where character glyphs are
not available in any character encoding and special fonts are required,

"reserved" is wrong and "not available in any character encoding" is wrong.

sorry, if i had a good way to write this i'd have suggested it, it's a lot
easier to know what not to say than to know what to say.
Comment 9 Daniel Wang 2003-11-10 12:21:15 PST
Created attachment 135194 [details]
intl.html . split off from nav_help.xhtml

<p>User Defined is for any situation where character glyphs
[img: 日, A, æ, ら] are (or were) not in any character encoding
and special fonts are required, for example, when a rare language
or mathematics are used. Sites requiring special encoding should
have instructions on what fonts to download and/or use.</p>
Comment 10 Jens Hatlak (:InvisibleSmiley) 2008-12-21 14:01:42 PST
So "User Defined" in Edit > Preferences > Appearance > Fonts / "Fonts for" directly relates to View > Character Encoding > More Encodings > User Defined and neither is explained currently.

I suggest simply creating a link from "Fonts for" (heading "Appearance Preferences - Fonts") to heading "Selecting Character Encodings and Fonts" and explaining "User Defined" there, like this:

"Choose User Defined when the page you are viewing shows wrong character glyphs with all predefined character encodings. In that case you will need to specify the fonts required for correct rendering in the [link]Fonts preferences[/link]."
Comment 11 Ian Neal 2010-05-04 06:05:27 PDT
I am happy with this as a solution, is it worth mentioning something similar to the bit about "Sites requiring special encoding should have instructions on what fonts to download and/or use" (from comment 9) somewhere in there too?
Comment 12 Jens Hatlak (:InvisibleSmiley) 2010-05-14 16:23:52 PDT
Created attachment 445482 [details] [diff] [review]
patch v1

Comparing the menu item labels with the Help contents I found that some were referred to incorrectly in the text. Don't know since when but we can just as well correct them while we're here.

"Unicode" should be named explicitly because it's not obvious that it falls under "Other Languages" (BTW: in the German localization the menu entry is actually called "Unicode", making things easier).

I also wanted to take the opportunity to explain that the "Fonts for" drop-down selection actually determines the applicability of the set of font definitions below. This can be missed easily; it even took /me/ quite some time to get that connection (years ago).
Comment 13 Ian Neal 2010-05-17 12:39:37 PDT
Comment on attachment 445482 [details] [diff] [review]
patch v1

>+    <q>Western.</q> For Unicode or a language/script not yet in the list, choose
>+    <q>Other Languages.</q> For more information, including <q>User Defined</q>,
>+    see <a href="nav_help.xhtml#selecting_character_encodings_and_fonts">Selecting
>+    Character Encodings and Fonts</a>.<br/>
>+    All settings below, except for the checkbox, are stored per language group
>+    you select here; each can have its own set of font definitions.
So we really need "you select here"? Just seems to confuse things to me.

>+++ b/suite/locales/en-US/chrome/common/help/nav_help.xhtml

>+<p>If the page you are viewing shows wrong character glyphs with all predefined
>+  character encodings there is a chance that it requires special fonts. Such
>+  sites should contain instructions on which fonts to download and/or use in
>+  order to view the page correctly. When you have the necessary fonts installed
>+  on your system you can choose User Defined from the More Encodings submenu.
>+  &brandShortName; will then use the fonts defined in the <a
>+  href="cs_nav_prefs_appearance.xhtml#fonts">Fonts preferences</a> (Fonts for:
>+  User Defined).</p>
We're missing some punctuation here, perhaps:
"If the page, which you are viewing, shows wrong character glyphs with all predefined  character encodings, there is a chance that it requires special fonts."
also:
"When you have the necessary fonts installed on your system, you can choose User Defined from the More Encodings submenu."
r=me with those issues addressed.
Comment 14 Jens Hatlak (:InvisibleSmiley) 2010-05-17 15:35:03 PDT
Created attachment 445832 [details] [diff] [review]
patch v1a, r=IanN [Checkin: comments 15+16]

(In reply to comment #13)
> (From update of attachment 445482 [details] [diff] [review])
> >+    All settings below, except for the checkbox, are stored per language group
> >+    you select here; each can have its own set of font definitions.
> So we really need "you select here"? Just seems to confuse things to me.

No, I was contemplating it, too.

> We're missing some punctuation here, perhaps:

OK, you had the better arguments on IRC. :-)
Comment 15 Jens Hatlak (:InvisibleSmiley) 2010-05-17 15:39:28 PDT
Comment on attachment 445832 [details] [diff] [review]
patch v1a, r=IanN [Checkin: comments 15+16]

http://hg.mozilla.org/comm-central/rev/f2e97ca98a85
Comment 16 Jens Hatlak (:InvisibleSmiley) 2010-05-17 16:22:58 PDT
Comment on attachment 445832 [details] [diff] [review]
patch v1a, r=IanN [Checkin: comments 15+16]

http://hg.mozilla.org/releases/comm-1.9.1/rev/7db7182a402a

Note You need to log in before you can comment on or make changes to this bug.